Content API requests use
apiKey and sig query parameters. See Authentication for the signature flow.Endpoints
Draft Management
- Create a draft -
POST /v4/accounts/{accountId}/drafts - List drafts -
GET /v4/accounts/{accountId}/drafts - Get a draft -
GET /v4/accounts/{accountId}/drafts/{draftId} - Update a draft -
PUT /v4/accounts/{accountId}/drafts/{draftId} - Delete a draft -
DELETE /v4/accounts/{accountId}/drafts/{draftId}
Content Insights
- Request content insights -
POST /v4/accounts/{accountId}/drafts/{draftId}/insights - Get content insights -
GET /v4/accounts/{accountId}/drafts/{draftId}/insights - Update an insight -
PUT /v4/accounts/{accountId}/drafts/{draftId}/insights
Content Generation
- Create a content generation -
POST /v4/accounts/{accountId}/drafts/{draftId}/content-generations
Content Guidance
- Validate content guidance -
POST /v4/accounts/{accountId}/drafts/{draftId}/validate
Content Score
- Generate content score -
POST /v4/accounts/{accountId}/drafts/{draftId}/content-score
Content Profiles
- Create content profile -
POST /v4/accounts/{accountId}/content-profiles - List content profiles -
GET /v4/accounts/{accountId}/content-profiles - Get content profile -
GET /v4/accounts/{accountId}/content-profiles/{contentProfileId} - Update content profile -
PUT /v4/accounts/{accountId}/content-profiles/{contentProfileId} - Delete content profile -
DELETE /v4/accounts/{accountId}/content-profiles/{contentProfileId}
Internal Linking
- Anchor text and URL recommendations -
POST /v4/accounts/{accountId}/internal-link-recommendations
SERP Analysis
- Get SERP URLs -
GET /v4/accounts/{accountId}/serp-urls
